WriterBase.h File Reference

Header file for WriterBase class. More...

`#include <iostream>`
`#include <iomanip>`
`#include "ChannelLayouts.h"`
`#include "Fraction.h"`
`#include "Frame.h"`
`#include "ReaderBase.h"`
`#include "ZmqLogger.h"`

Go to the source code of this file.

## Classes

class | openshot::WriterBase
| This abstract class is the base class, used by writers. Writers are types of classes that encode video, audio, and image files. More...
struct | openshot::WriterInfo
| This struct contains info about encoding a media file, such as height, width, frames per second, etc... More...

## Namespaces

| openshot
| This namespace is the default namespace for all code in the openshot library.

## Detailed Description

Header file for WriterBase class.

Author
  Jonathan Thomas jonat.nosp@m.han@.nosp@m.opens.nosp@m.hot..nosp@m.org

License

Definition in file WriterBase.h.